define([
  'jquery',
  'underscore', 
  'backbone',
  'async!https://maps.google.com/maps/api/js?v=3&sensor=false&client=google-geo-deployment&channel=demo&key=AIzaSyBKJfTa5cjz8h9FtP0L57wt_glrj7OLMWY'
  ], function($, _, Backbone, FusionLayers, GMaps){
  var MapView = Backbone.View.extend({

    // Instead of generating a new element, bind to the existing skeleton of
    // the App already present in the HTML.
    tagNAme: "div",
    className: "map",
    
    latitude:   39.56432,
    longitude:  -119.5183, 

    // Delegated events for creating new items, and clearing completed ones.
    events: {
      //"click #new-todo-button":  "createOnEnter",
    },
    
    initialize: function() {
        _.bindAll(this, 'dragMap');
    
        this.mapOptions = {
          center: new google.maps.LatLng(this.latitude, this.longitude),
          zoom: 8,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        };
        
        this.map = new google.maps.Map($(this.el)[0],this.mapOptions);

        google.maps.event.addListener(this.map, "dragend", this.dragMap);
    },

    render: function() {
        return this;
    },
    
    dragMap: function() {
    }
    
    
  });
  return MapView;
});