//configure shortcut alias
require.config({
  paths: {
    async : 'libs/require/async',
    propertyParser : 'libs/require/propertyParser',
    noext : 'libs/require/noext',
    jquery: 'libs/jquery/jquery',
    text : 'libs/require/text',
    underscore: 'libs/underscore/underscore',
    backbone: 'libs/backbone/backbone',
    gapi : 'https://apis.google.com/js/client'
  },
  shim: {
    'gapi':{
        'exports':'gapi'
    },
    'underscore' :{
      'exports' : '_'
    },
    'backbone' :{
      'deps' : ['jquery','underscore'],
      'exports' : 'Backbone'
    }
  }
});

require(['views/app'], function(AppView){
  var app_view = new AppView();
});